yum update не работает после установки панели

Обсуждение установки и настройки поддерживаемых вебсерверов, а также работы с ними.
dmitry_stas
Сообщения: 192
Зарегистрирован: Вт апр 17, 2018 7:43 am

yum update не работает после установки панели

Сообщение dmitry_stas » Чт авг 16, 2018 4:46 pm

Добрый день.

Чистый Centos 7, ставлю панель

Код: Выделить всё

yum clean all && yum install -y wget && wget http://core.brainycp.com/install.sh && bash ./install.sh --package=apache2.4,nginx,php56w,php72w,bindserver,imagemagick,certbot,logrotate,MariaDB10.2,phpMyAdmin-4.7.0,exim,proftpd,csf
установка проходит без ошибок, панель и службы работают. Но далее при выполнении yum update получаю кучу ошибок про зависимость libz.so, типа
Error: Package: rpm-python-4.11.3-32.el7.x86_64 (@anaconda)
Requires: libz.so.1()(64bit)
Removing: zlib-1.2.11-8.el7.x86_64 (@myrepo-centos)
libz.so.1()(64bit)
Updated By: zlib-1.2.11-8.el7.centos.i686 (myrepo-centos)
Not found
Available: zlib-1.2.7-17.el7.x86_64 (base)
libz.so.1()(64bit)
и так по всем пакетам. Куда копать?

dmitry_stas
Сообщения: 192
Зарегистрирован: Вт апр 17, 2018 7:43 am

Re: yum update не работает после установки панели

Сообщение dmitry_stas » Чт авг 16, 2018 6:29 pm

попробовал сделать

Код: Выделить всё

 yum update --skip-broken
получаю ошибку
zlib-1.2.11-8.el7.centos.i686 from myrepo-centos
Error: Multilib version problems found. This often means that the root
cause is something else and multilib version checking is just
pointing out that there is a problem. Eg.:

1. You have an upgrade for nss-softokn-freebl which is missing some
dependency that another package requires. Yum is trying to
solve this by installing an older version of nss-softokn-freebl of the
different architecture. If you exclude the bad architecture
yum will tell you what the root cause is (which package
requires what). You can try redoing the upgrade with
--exclude nss-softokn-freebl.otherarch ... this should give you an error
message showing the root cause of the problem.

2. You have multiple architectures of nss-softokn-freebl installed, but
yum can only see an upgrade for one of those architectures.
If you don't want/need both architectures anymore then you
can remove the one with the missing update and everything
will work.

3. You have duplicate versions of nss-softokn-freebl installed already.
You can use "yum check" to get yum show these errors.

...you can also use --setopt=protected_multilib=false to remove
this checking, however this is almost never the correct thing to
do as something else is very likely to go wrong (often causing
much more problems).

Protected multilib versions: nss-softokn-freebl-3.34.0-2.el7.i686 != nss-softokn-freebl-3.36.0-5.el7_5.x86_64

dmitry_stas
Сообщения: 192
Зарегистрирован: Вт апр 17, 2018 7:43 am

Re: yum update не работает после установки панели

Сообщение dmitry_stas » Чт авг 16, 2018 7:24 pm

Вот если нужно полный лог, который выводит yum update сразу после установки панели https://www.dropbox.com/s/whsqji4rnga5m ... s.log?dl=0

Akrobs
Сообщения: 258
Зарегистрирован: Чт сен 21, 2017 10:48 pm
Откуда: Saint-Petersburg
Контактная информация:

Re: yum update не работает после установки панели

Сообщение Akrobs » Пт авг 17, 2018 3:11 pm

Аналогичная проблема, из-за которой "упал" сервер!!!

После установки панели, обновление системы не работает!

dmitry_stas
Сообщения: 192
Зарегистрирован: Вт апр 17, 2018 7:43 am

Re: yum update не работает после установки панели

Сообщение dmitry_stas » Сб авг 18, 2018 8:09 am

уже работает. я так понимаю добавили пакет в репу?

dmitry_stas
Сообщения: 192
Зарегистрирован: Вт апр 17, 2018 7:43 am

Re: yum update не работает после установки панели

Сообщение dmitry_stas » Пн сен 09, 2019 6:13 am

Апну тему. Снова получаю ошибку при yum update, на одном сервере такую

Код: Выделить всё

Error: Package: cloud-init-18.2-1.el7.centos.2.x86_64 (@updates)
           Requires: pyserial
           Removing: pyserial-2.6-6.el7.noarch (@base)
               pyserial = 2.6-6.el7
           Obsoleted By: python2-pyserial-3.4-1.el7.noarch (myrepo-centos)
               Not found
 You could try using --skip-broken to work around the problem
** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
fail2ban-0.9.7-10.el7.centos.noarch has missing requires of fail2ban-sendmail = ('0', '0.9.7', '10.el7.centos')
на другом такую

Код: Выделить всё

Error: Package: cloud-init-18.2-1.el7.centos.2.x86_64 (@updates)
           Requires: pyserial
           Removing: pyserial-2.6-6.el7.noarch (@base)
               pyserial = 2.6-6.el7
           Obsoleted By: python2-pyserial-3.4-1.el7.noarch (myrepo-centos)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

interstudent
Сообщения: 5
Зарегистрирован: Ср фев 20, 2019 6:41 pm

Re: yum update не работает после установки панели

Сообщение interstudent » Вт сен 10, 2019 9:42 am

Удалось побороть?

Аватара пользователя
KyKyIIIKuH
Сообщения: 92
Зарегистрирован: Ср мар 14, 2018 11:04 am

Re: yum update не работает после установки панели

Сообщение KyKyIIIKuH » Вт сен 10, 2019 6:37 pm

dmitry_stas писал(а):
Пн сен 09, 2019 6:13 am
Апну тему. Снова получаю ошибку при yum update, на одном сервере такую

Код: Выделить всё

Error: Package: cloud-init-18.2-1.el7.centos.2.x86_64 (@updates)
           Requires: pyserial
           Removing: pyserial-2.6-6.el7.noarch (@base)
               pyserial = 2.6-6.el7
           Obsoleted By: python2-pyserial-3.4-1.el7.noarch (myrepo-centos)
               Not found
 You could try using --skip-broken to work around the problem
** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
fail2ban-0.9.7-10.el7.centos.noarch has missing requires of fail2ban-sendmail = ('0', '0.9.7', '10.el7.centos')
на другом такую

Код: Выделить всё

Error: Package: cloud-init-18.2-1.el7.centos.2.x86_64 (@updates)
           Requires: pyserial
           Removing: pyserial-2.6-6.el7.noarch (@base)
               pyserial = 2.6-6.el7
           Obsoleted By: python2-pyserial-3.4-1.el7.noarch (myrepo-centos)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
такой же прикол
вот так обновляюсь теперь =)
yum update --skip-broken

Аватара пользователя
sbury
Сообщения: 404
Зарегистрирован: Вт фев 06, 2018 7:51 am

Re: yum update не работает после установки панели

Сообщение sbury » Ср сен 11, 2019 1:23 pm

исправлено

yum clean all
yum update

Аватара пользователя
KyKyIIIKuH
Сообщения: 92
Зарегистрирован: Ср мар 14, 2018 11:04 am

Re: yum update не работает после установки панели

Сообщение KyKyIIIKuH » Ср сен 11, 2019 3:57 pm

sbury писал(а):
Ср сен 11, 2019 1:23 pm
исправлено

yum clean all
yum update
спасибо 8-)

Ответить